<script setup lang="ts">
import { useTheme } from "vuetify";
import { hiMoon02, hiSun03 } from "~/iconsets";

const { t } = useI18n();
const localePath = useLocalePath();
const theme = useTheme();

const toggleTheme = () => useColorMode({ storageKey: "theme" }).value =
  theme.global.name.value = theme.global.name.value === "light" ? "dark" : "light";
</script>

<template>
  <v-app>

    <v-app-bar :order="1" color="background">
      <template #prepend>
        <v-app-bar-title class="ml-2">
          <nuxt-link-locale
            to="/" class="d-flex flex-row align-center text-decoration-none on-surface"
          >
            <v-logo :size="32" />
            <span class="mx-4 font-weight-bold">
              Documentación
            </span>
          </nuxt-link-locale>
        </v-app-bar-title>
      </template>

      <v-btn :text="t('routes.docs')" :to="localePath('/docs')" />

      <template #append>
        <v-app-bar-nav-icon
          :icon="theme.current.value.dark ? hiSun03 : hiMoon02" class="mx-1" :title="t('nav.theme')" @click="toggleTheme"
        />
      </template>
    </v-app-bar>

    <v-main class="d-flex flex-column">
      <v-container class="d-flex flex-grow-1 py-0 px-2">
        <slot />
      </v-container>
      <v-footer :flat="true" color="transparent" class="d-flex flex-column flex-md-row justify-end flex-grow-0">
        <span class="text-body-2">
          &copy; {{ new Date().getFullYear() }} {{ t("footer.rights") }}
        </span>
      </v-footer>
    </v-main>
  </v-app>
</template>

<i18n locale="es">
{
  "footer": {
    "rights": "Todos los derechos reservados."
  },
  "nav": {
    "theme": "Cambiar tema"
  },
  "routes": {
    "docs": "Documentación"
  }
}
</i18n>
